Recoveries
Send recovery code
POST
Requires scope recoveries:create.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
customerId*stringFormat
uuidwalletId*stringFormat
uuidResponse Body
200application/json
Code issued and delivered
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/recoveries/challenge' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480"}'Example Response
{ "data": { "challengeId": "007cfdcc-a46d-4340-a4c6-216ec2e4009c", "expiresAt": "2019-08-24T14:15:22Z", "deliveredTo": 0, "route": "business" }, "status": 200, "success": true}